Bug 1903058

Summary: PyMca: FTBFS in Fedora rawhide
Product: [Fedora] Fedora Reporter: Tomáš Hrnčiar <thrnciar>
Component: PyMcaAssignee: Zbigniew Jędrzejewski-Szmek <zbyszek>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: cickumqt, susi.lehtola, zbyszek
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
URL: https://koschei.fedoraproject.org/package/PyMca
Whiteboard:
Fixed In Version: PyMca-5.5.0-6.fc34 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-01-06 19:40:16 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1868278, 1890881    

Description Tomáš Hrnčiar 2020-12-01 08:54:51 UTC
Description of problem:
Package PyMca fails to build from source in Fedora rawhide.

Version-Release number of selected component (if applicable):
5.5.0-6.fc33

Steps to Reproduce:
koji build --scratch f34 PyMca-5.5.0-6.fc33.src.rpm

Additional info:
This package is tracked by Koschei. See:
https://koschei.fedoraproject.org/package/PyMca


======================================================================
ERROR: testHdf5Uri (ConfigDictTest.testConfigDict)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/pymca-5.5.0/PyMca5/tests/ConfigDictTest.py", line 164, in testHdf5Uri
    readInstance.read(uri)
  File "/builddir/build/BUILDROOT/PyMca-5.5.0-6.fc34.x86_64/usr/lib64/python3.10/site-packages/PyMca5/PyMcaIO/ConfigDict.py", line 117, in read
    config = StringIO(h5[path][()])
TypeError: initial_value must be str or None, not bytes

======================================================================
FAIL: testNxExtStringAttribute (NexusUtilsTest.testNexusUtils)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/pymca-5.5.0/PyMca5/tests/NexusUtilsTest.py", line 186, in testNxExtStringAttribute
    self._checkStringTypes(attribute=True, raiseExtended=False)
  File "/builddir/build/BUILD/pymca-5.5.0/PyMca5/tests/NexusUtilsTest.py", line 276, in _checkStringTypes
    self.assertEqual(type(value), type(expectedValue), msg=msg)
AssertionError: <class 'str'> != <class 'bytes'> : ext(scalar) <class 'str'> instead of <class 'bytes'>

======================================================================
FAIL: testNxExtStringDataset (NexusUtilsTest.testNexusUtils)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/pymca-5.5.0/PyMca5/tests/NexusUtilsTest.py", line 191, in testNxExtStringDataset
    self._checkStringTypes(attribute=False, raiseExtended=False)
  File "/builddir/build/BUILD/pymca-5.5.0/PyMca5/tests/NexusUtilsTest.py", line 276, in _checkStringTypes
    self.assertEqual(type(value), type(expectedValue), msg=msg)
AssertionError: <class 'bytes'> != <class 'str'> : ascii(scalar) <class 'bytes'> instead of <class 'str'>

======================================================================
FAIL: testNxStringDataset (NexusUtilsTest.testNexusUtils)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/pymca-5.5.0/PyMca5/tests/NexusUtilsTest.py", line 181, in testNxStringDataset
    self._checkStringTypes(attribute=False, raiseExtended=True)
  File "/builddir/build/BUILD/pymca-5.5.0/PyMca5/tests/NexusUtilsTest.py", line 276, in _checkStringTypes
    self.assertEqual(type(value), type(expectedValue), msg=msg)
AssertionError: <class 'bytes'> != <class 'str'> : ascii(scalar) <class 'bytes'> instead of <class 'str'>

----------------------------------------------------------------------

Comment 1 Fedora Release Engineering 2020-12-06 04:22:53 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 34.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-01-26).

A week before the mass branching of Fedora 35 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 33 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-35/f-35-key-tasks.html

Comment 2 Fedora Release Engineering 2020-12-27 04:22:23 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 34.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-01-26).

A week before the mass branching of Fedora 35 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 33 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-35/f-35-key-tasks.html

Comment 3 Fedora Release Engineering 2021-01-03 04:22:21 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 34.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-01-26).

A week before the mass branching of Fedora 35 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 33 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-35/f-35-key-tasks.html

Comment 4 Zbigniew Jędrzejewski-Szmek 2021-01-06 19:40:16 UTC
Built in rawhide.